CRM-Benutzerdefinierte FelderBenutzerdefiniertes Feld aktualisieren

Benutzerdefiniertes Feld aktualisieren

curl -X PATCH "https://api.talkturo.com/api/crm/custom-fields/123e4567-e89b-12d3-a456-426614174000" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "John Doe",
  "options": [
    "example_string"
  ]
}'
{
  "success": true,
  "field": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe",
    "type": "text",
    "entity_type": "contact",
    "options": [
      "example_string"
    ]
  }
}
PATCH
/crm/custom-fields/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

API Key (cookie: sb-access-token)
sb-access-tokenstring
Required

Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.

Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.
path
idstring
Required

Custom field UUID

Format: uuid
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

path
parameterstring
Required

API Key for authentication. Authentifiziertes Talkturo-Web-Session-Cookie (Supabase-httpOnly-Session). Browser-Clients senden dies nach der Anmeldung typischerweise automatisch. Je nach Client können auch zugehörige Refresh-Cookies vorhanden sein.

Path Parameters

idstring
Required

Custom field UUID

Body

application/json

Responses

successboolean
fieldobject